const CracoLessPlugin = require('craco-less');
const createThemeColorReplacerPlugin = require("./src/utils/plugin.config");

module.exports = {
    plugins: [
        {
            plugin: CracoLessPlugin,
            options: {
                lessLoaderOptions: {
                    lessOptions: {
                        modifyVars: {},
                        javascriptEnabled: true,
                    },
                },
            },
        },
    ],
    webpack: {
        // 这里面是webpack的配置
        plugins: [createThemeColorReplacerPlugin()],
    }
};